\section{Introduction}
\label{sec:intro}

With the growth in the urban population, mainly in developing countries, a mismatch in managing the resources to meet citizens' needs has come up. In this scenario, the constant advances in computing technologies can provide tools to support information analysis in the cities and contribute to local public management. This use of technology is what defines \textit{Smart Cities}.

Smart cities aim to improve urban efficiency and quality of life, contributing to city sustainability, mobility, health, and accessibility \cite{koncidades}.  In health, there is a growth in generated and stored data from health facilities~\cite{yang2013smart}. A large body of data can provide relevant information that can be used by public managers to benefit the creation of public policies~\cite{solanas2014smart}. However, it can be a difficult task to analyze a large body of data because of its size and complexity. Our project collaborated with a Brazilian Health Secretariat to develop a platform for large scale data processing. The platform enables the analysis of health data via advanced techniques for data visualization. It uses a broad set of hospitalization data, health facilities data, the municipality subdivisions' geographic data structure, and demographic information. Our platform intends to be a useful tool that, in a term, may help the elaboration and management of public health policies.

The platform aims to generate visualizations from different perspectives of the Hospital Information System (SIH) datasets provided by the Brazilian National Health System (SUS). These datasets contain information such as the patient diagnosis, the hospital location, the geo-anonymized patient location, and the hospitalization data, among other data. The platform deals with many georeferenced data visualized on a dynamic map, enabling identifying patterns in geographic and temporal variations.

The platform is capable of dealing with any SIH-SUS dataset. Its main features start with the processing and storage of SIH-SUS data into a relational database. The platform protects data confidentiality by requiring a user authentication.
For an authenticated user, the data is available through a user-friendly interface that requires no SQL knowledge to perform advanced searches applying composite filters over the attributes stored in the database. The platform uses advanced caching techniques to provide timely responses while working with large datasets. Search results are first displayed in different map visualizations, such as clustering and heat maps, and later in charts and tables. The data results can also be exported into PDF or CSV file formats that public administrators can use to create reports and support decision making.


A government-academia collaboration is often challenging, and both parties need to strive to increase the chances of success. Interinstitutional conflicts should be mitigated to obtain a successful collaboration~\cite{Wen:2019}. 
In our collaboration with a Brazilian Health Secretariat, we adopted practices from agile methods and FLOSS communities, following the lessons learned by~\citeonline{Wen:2019} to involve the government staff in the development process. For example, they interacted directly with the development team via the project's repository. The government analysts received on-the-fly notifications of advances and difficulties we were facing while receiving frequent feedback from them. We also had monthly strategy meetings, which helped us identify the best technical approach to fit their needs and the available resources. 

In the remainder of this paper, we present our visualization platform and discuss the software engineering approach used in its development.
